Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 319 - linux is not routing
Summary: linux is not routing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-06 21:57 UTC by jean-francois.landry
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-08 19:29:26 UTC


Attachments (Terms of Use)

Description jean-francois.landry 1998-12-06 21:57:41 UTC
I am using linux boxes as routers.
I have two NE2000 compatible card in each linux box.

I have done all the "ifconfig" and "route add" stuff.
Ping is working on all interfaces.

My problem is that even if the routes are there
( I have check with netstat -rn ),the linux box is not
routing packet?

as an exemple:
I have this problem when the linux box is receiving packet
on eth1 that are destinated to the LAN on eth0 ( from eth1
I am trying to
ping a host on eth0 LAN).
The packet are never sent to LAN on eth0.

But, it is working if received packets on eth1 are
destinated to eth0 interface itself ( from eth1 I ping the
IP address of eth0 interface) .


thanks you!
jfl

Comment 1 Aleksey Nogin 1998-12-08 02:49:59 UTC
Do you have IP Forwarding enabled?
Run "cat /proc/sys/net/ipv4/ip_forward". It should print "1" if you
have IP Forwarding enabled.

Comment 2 jean-francois.landry 1998-12-08 18:10:59 UTC
Hi,
IP forwarding was not enable on my system.

thanks!

jfl


Note You need to log in before you can comment on or make changes to this bug.